#!/bin/zsh

echo "Zipping up Dorico/VSTAudioEngine/SAM folders...\n"

exec 3>&1 >/dev/null
exec 2>&1 >/dev/null

rm -fr ~/Desktop/Dorico5DiagnosticsReport.zip
rm -fr /tmp/Dorico5DiagnosticsReport
mkdir /tmp/Dorico5DiagnosticsReport
mkdir /tmp/Dorico5DiagnosticsReport/Crashes

cp -r ~/Library/Application\ Support/Steinberg/Activation\ Manager  /tmp/Dorico5DiagnosticsReport
cp -r ~/Library/Application\ Support/Steinberg/Dorico\ 5  /tmp/Dorico5DiagnosticsReport
cp -r ~/Library/Preferences/Dorico\ 5\ AudioEngine  /tmp/Dorico5DiagnosticsReport/VSTAudioEngine

cp ~/Library/Logs/DiagnosticReports/Dorico*.*  /tmp/Dorico5DiagnosticsReport/Crashes
cp ~/Library/Logs/DiagnosticReports/VSTAudioEngine*.*  /tmp/Dorico5DiagnosticsReport/Crashes
cp ~/Library/Logs/DiagnosticReports/Steinberg\ Activation\ Manager*.*  /tmp/Dorico5DiagnosticsReport/Crashes

rm -fr /tmp/Dorico5DiagnosticsReport/Dorico\ 5/AutoSave
rm -fr /tmp/Dorico5DiagnosticsReport/Dorico\ 5/PlaybackTemplateSpecs

cd /tmp
zip -r ~/Desktop/Dorico5DiagnosticsReport.zip ./Dorico5DiagnosticsReport
rm -fr /tmp/Dorico5DiagnosticsReport
exec >&3
exec >&1

echo "Done, wrote Dorico5DiagnosticsReport.zip to your Desktop"
